SphinxClient::setMaxQueryTime
SphinxClient::setRankingMode
SphinxClient
PHP Manual

# SphinxClient::setOverride

(PECL sphinx >= 1.0.3)

SphinxClient::setOverride — Sets temporary per-document attribute value overrides

### Opis

public bool SphinxClient::setOverride ( string `$attribute` , int `$type` , array `$values` )

Sets temporary (per-query) per-document attribute value overrides. Override feature lets you "temporary" update attribute values for some documents within a single query, leaving all other queries unaffected. This might be useful for personalized data

### Parametry

`attribute`

  An attribute name.

`type`

  An attribute type. Only supports scalar attributes.

`values`

  Array of attribute values that maps document IDs to overridden attribute values.

### Rejestr zmian

PECL/sphinx Wersja | Opis
--- | ---
1.0.3 | Added SphinxClient::setOverride(), available only if compiled with libsphinxclient >= 0.9.9.

### Zwracane wartości

Zwraca `TRUE` w przypadku powodzenia, `FALSE` w przypadku błędu.

SphinxClient::setMaxQueryTime
SphinxClient::setRankingMode
SphinxClient
PHP Manual